Package writer2latex.latex

# Class ParConverter

java.lang.Object
writer2latex.latex.StyleConverter
writer2latex.latex.ParConverter

public class ParConverter extends StyleConverter

## Field Summary

### Fields inherited from class writer2latex.latex.StyleConverter

`declarations, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`ParConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `ParConverter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`applyAlignment(StyleWithProperties style, boolean bIsSimple, boolean bInherit, BeforeAfter ba)`
`void`
`handleParagraph(Element node, LaTeXDocumentPortion ldp, Context oc, boolean bLastInBlock)`
Process a text:p tag

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParConverter

public ParConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

Constructs a new `ParConverter`.

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

Overrides:
  `appendDeclarations` in class `StyleConverter`

### handleParagraph

public void handleParagraph(Element node, LaTeXDocumentPortion ldp, Context oc, boolean bLastInBlock)

Process a text:p tag

Parameters:
  `node` - The text:p element node containing the paragraph
  `ldp` - The `LaTeXDocumentPortion` to add LaTeX code to
  `oc` - The current context
  `bLastInBlock` - If this is true, the paragraph is the last one in a block, and we need no trailing blank line (eg. right before \end{enumerate}).

### applyAlignment

public void applyAlignment(StyleWithProperties style, boolean bIsSimple, boolean bInherit, BeforeAfter ba)